<mat-form-field>
  <mat-label *ngIf="label">{{ label }}</mat-label>
  <input
    type="text"
    matInput
    [formControl]="myControl"
    [matAutocomplete]="auto"
  />
  <mat-autocomplete #auto="matAutocomplete" [displayWith]="displayFn">
    <mat-option *ngFor="let item of filteredItems | async" [value]="item.id">
      {{ item.text }}
    </mat-option>
  </mat-autocomplete>
</mat-form-field>
<!-- <pre>
  {{ filteredItems | json }}
</pre> -->
